com.sun.grid.jgdi.configuration

## Class ResourceQuotaRuleLimitImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimitImpl

- All Implemented Interfaces:
    GEObject, ResourceQuotaRuleLimit, java.io.Serializable, java.lang.Cloneable

      public class ResourceQuotaRuleLimitImpl
      extends GEObjectImpl
      implements ResourceQuotaRuleLimit

  Java representation of the cull object RQRL_Type defined in sge_all_listsL.template

  Warning: The ResourceQuotaRuleLimitImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceQuotaRuleLimitImpl()` Create a new instance of ResourceQuotaRuleLimitImpl.
    `ResourceQuotaRuleLimitImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ResourceQuotaRuleLimitImpl(java.lang.String name)` Create a new instance of ResourceQuotaRuleLimitImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUsage(ResourceUtilization ausage)` Add a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `double` | `getDvalue()` Get the value of the dvalue attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getType()` Get the value of the type attribute.
    `ResourceUtilization` | `getUsage(int index)` Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `int` | `getUsageCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.util.List<ResourceUtilization>` | `getUsageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.lang.String` | `getValue()` Get the value of the value attribute.
    `boolean` | `isDynamic()` Get the value of the dynamic attribute.
    `boolean` | `isSetDvalue()` Determine if the dvalue attribute is set
    `boolean` | `isSetDynamic()` Determine if the dynamic attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetType()` Determine if the type attribute is set
    `boolean` | `isSetUsage()` Determine if the usage attribute is set
    `boolean` | `isSetValue()` Determine if the value attribute is set
    `void` | `removeAllUsage()` Remove all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `ResourceUtilization` | `removeUsage(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `boolean` | `removeUsage(ResourceUtilization ausage)` Remote a specific com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `void` | `setDvalue(double aDvalue)` Set the dvalue attribute.
    `void` | `setDynamic(boolean aDynamic)` Set the dynamic attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `void` | `setUsage(int index, ResourceUtilization ausage)` Set a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `void` | `setValue(java.lang.String aValue)` Set the value attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ResourceQuotaRuleLimitImpl

          public ResourceQuotaRuleLimitImpl()

      Create a new instance of ResourceQuotaRuleLimitImpl. The new instance will not be initialized with the default values.

    - #### ResourceQuotaRuleLimitImpl

          public ResourceQuotaRuleLimitImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ResourceQuotaRuleLimitImpl

          public ResourceQuotaRuleLimitImpl(java.lang.String name)

      Create a new instance of ResourceQuotaRuleLimitImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ResourceQuotaRuleLimit`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ResourceQuotaRuleLimit`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `ResourceQuotaRuleLimit`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetValue

          public boolean isSetValue()

      Determine if the value attribute is set
      Specified by:
        `isSetValue` in interface `ResourceQuotaRuleLimit`
      Returns:
        `true` if the value attribute is set

    - #### setValue

          public void setValue(java.lang.String aValue)

      Set the value attribute.
      Specified by:
        `setValue` in interface `ResourceQuotaRuleLimit`
      Parameters:
        `aValue` - the new value for the value attribute

    - #### getValue

          public java.lang.String getValue()

      Get the value of the value attribute.
      Specified by:
        `getValue` in interface `ResourceQuotaRuleLimit`
      Returns:
        the value of the value attribute

    - #### isSetType

          public boolean isSetType()

      Determine if the type attribute is set
      Specified by:
        `isSetType` in interface `ResourceQuotaRuleLimit`
      Returns:
        `true` if the type attribute is set

    - #### setType

          public void setType(int aType)

      Set the type attribute.
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          public int getType()

      Get the value of the type attribute.
      Specified by:
        `getType` in interface `ResourceQuotaRuleLimit`
      Returns:
        the value of the type attribute

    - #### isSetDvalue

          public boolean isSetDvalue()

      Determine if the dvalue attribute is set
      Specified by:
        `isSetDvalue` in interface `ResourceQuotaRuleLimit`
      Returns:
        `true` if the dvalue attribute is set

    - #### setDvalue

          public void setDvalue(double aDvalue)

      Set the dvalue attribute.
      Parameters:
        `aDvalue` - the new value for the dvalue attribute

    - #### getDvalue

          public double getDvalue()

      Get the value of the dvalue attribute.
      Specified by:
        `getDvalue` in interface `ResourceQuotaRuleLimit`
      Returns:
        the value of the dvalue attribute

    - #### addUsage

          public void addUsage(ResourceUtilization ausage)

      Add a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `ausage` - the new com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### setUsage

          public void setUsage(int index,
                               ResourceUtilization ausage)

      Set a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute
        `ausage` - the new com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### removeAllUsage

          public void removeAllUsage()

      Remove all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### removeUsage

          public ResourceUtilization removeUsage(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceUtilization attribute or `null` if no attribute at this index is stored

    - #### removeUsage

          public boolean removeUsage(ResourceUtilization ausage)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `ausage` - the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceUtilization attribute has been removed

    - #### getUsageList

          public java.util.List<ResourceUtilization> getUsageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Specified by:
        `getUsageList` in interface `ResourceQuotaRuleLimit`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceUtilization attributes

    - #### getUsageCount

          public int getUsageCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Specified by:
        `getUsageCount` in interface `ResourceQuotaRuleLimit`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### getUsage

          public ResourceUtilization getUsage(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Specified by:
        `getUsage` in interface `ResourceQuotaRuleLimit`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### isSetUsage

          public boolean isSetUsage()

      Determine if the usage attribute is set
      Specified by:
        `isSetUsage` in interface `ResourceQuotaRuleLimit`
      Returns:
        `true` if the usage attribute is set

    - #### isSetDynamic

          public boolean isSetDynamic()

      Determine if the dynamic attribute is set
      Specified by:
        `isSetDynamic` in interface `ResourceQuotaRuleLimit`
      Returns:
        `true` if the dynamic attribute is set

    - #### setDynamic

          public void setDynamic(boolean aDynamic)

      Set the dynamic attribute.
      Parameters:
        `aDynamic` - the new value for the dynamic attribute

    - #### isDynamic

          public boolean isDynamic()

      Get the value of the dynamic attribute.
      Specified by:
        `isDynamic` in interface `ResourceQuotaRuleLimit`
      Returns:
        the value of the dynamic attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ResourceQuotaRuleLimit`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.